# typedef PlayerConfigPlayerData

#### package com.turner.top.sdk.core.player.config

Configuration options specific to all players

### Properties

###

`autoPlay:Null<Bool>`

If the player should immediately start playing content once the player is ready

Default is true, but value can be changed depending on whether precheck is performed and browser supports it

###

`autoPlayOptions:Null<PlayerConfigPlayerAutoplayOptionsData>`

Configuration options for autoPlay

###

`muted:Null<Bool>`

If the both ads and media should be muted initially.

Default is false, unless user value persisted or content is forced to auto play

###

`persist:Null<Array<ConfigStorageKey>>`

List of player values to persist through local storage

Default is ['volume', 'mute', 'bitrate']

See:

ConfigStorageKey for available values

###

`playMode:Null<String>`

Specifies how video will play back content. The following are available play mode values:

Value | Description
--- | ---
    inline
| Sets the playsinline attribute on content video elements.Note: this will be overridden by a forced autoPlay.

###

`useNativeControls:Null<Bool>`

True if native controls should be used for all players

Default is false

###

`volume:Null<ApiVolumeValue>`

The initial volume of the player. Will apply to both ads and media. Values range between 0 the quietest and 1 the loudest.

Default is 1, unless user value persisted